Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class DiscreteSequenceEnumerator

    java.lang.Object
      de.jstacs.data.DiscreteSequenceEnumerator

All Implemented Interfaces:
  RecyclableSequenceEnumerator, Enumeration<Sequence>

    public class DiscreteSequenceEnumerator

extends Object
implements RecyclableSequenceEnumerator

This class enumerates over all `Sequence`s of a specific `AlphabetContainer` and length.

Author:
  Jens Keilwagen

Constructor Summary
`DiscreteSequenceEnumerator(AlphabetContainer con, int length, boolean sparse)` Creates a new `DiscreteSequenceEnumerator` from a given `AlphabetContainer` and a length.

Method Summary
`boolean` | `hasMoreElements()`
`Sequence<int[]>` | `nextElement()`
`void` | `reset()` This method enables the user to reuse this enumerator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscreteSequenceEnumerator

    public DiscreteSequenceEnumerator(AlphabetContainer con,
                                      int length,
                                      boolean sparse)

  Creates a new `DiscreteSequenceEnumerator` from a given `AlphabetContainer` and a length. `sparse` determines, if the enumerator delivers only `Sequence`s for which the reverse complement has not been returned before

  Parameters:
    `con` - the `AlphabetContainer` for the discrete `Sequence`s
    `length` - the length of the discrete `Sequence`s
    `sparse` - indicates if the enumerator delivers only sequences for which the reverse complement has not been returned before

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<Sequence>`

### nextElement

    public Sequence<int[]> nextElement()

  Specified by:
    `nextElement` in interface `Enumeration<Sequence>`

### reset

    public void reset()

  Description copied from interface: `RecyclableSequenceEnumerator`
  This method enables the user to reuse this enumerator.

  Specified by:
    `reset` in interface `RecyclableSequenceEnumerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD